﻿@model NewRecipient
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Recipients
            </h1>
        </div>
        <div class="actions">
            <a data-original-title="Add new recipient" class="action on-left-more" jb-tooltip="" data-toggle="tooltip" data-placement="bottom" ng-click="showNewRecipient()" title="">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div ng-if="showNewRecipientBox">
        <label for="searchRecipient">Add new recipient</label>
        <form ng-submit="addNewRecipientDirect()">
            <label class="req-star">Email</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                <input id="emailRecipient" ng-model="addNewRecipient.Email" type="text" placeholder="Email" @Html.AngTooltipValidationFor(model => model.Email)>
            </div>
            <div>
                <br />
                <label>First name</label>
                <div class="input-control text" data-role="input-control">
                    <input id="firstNameRecipient" ng-model="addNewRecipient.FirstName" type="text" placeholder="First name">
                </div>
                <label>Last name</label>
                <div class="input-control text" data-role="input-control">
                    <input id="lastNameRecipient" ng-model="addNewRecipient.LastName" type="text" placeholder="Last name">
                </div>
            </div>
            <button type="submit" class="place-right button default">Add</button>
        </form>
        <div class="clearfix"></div>
        <label for="uploadedList">Upload a list of new recipient.</label>
        <div class="k-content">
            <div class="box-col">
                <input name="uploadedList"
                       type="file"
                       accept=".csv,.txt"
                       kendo-upload
                       k-multiple="false"
                       k-upload="onUpload"
                       k-success="OnUploaderSuccess"
                       k-async="{ saveUrl: '@Url.Action("AddNewListToTheCampaign", "Campaign")', removeUrl: '@Url.Action("DeleteUploadedList", "Campaign")', autoUpload: true }" />
            </div>


        </div>
    </div>

    <div class="clearfix margin-bottom20"></div>
    <label for="searchRecipient">Search</label>
    <div class="input-control text" data-role="input-control">
        <input id="searchRecipient" ng-model="searchRecipient" type="text" placeholder="Enter email" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="searchRecipients()"></button>
    </div>
    <div class="clearfix margin-bottom20"></div>

    <kendo-grid options="fillGrid">

    </kendo-grid>

</div>
